#  This software was derived from SATAN 1.1.1 by Dan Farmer and Wietse Venema
#  (http://www.porcupine.org/satan).
#
#
# Report vulnerability classes
#
sub sort_numeric {
	$severity_type_count{$b} <=> $severity_type_count{$a};
}

print CLIENT <<EOF;
<HTML>
<HEAD>
<title> Vulnerabilities - By Type</title>
<LINK REV="made" HREF="mailto:satan\@fish.com">
<LINK REV="made" HREF="mailto:sara\@arc.com">
</HEAD>
<BODY>
<BODY BACKGROUND="$HTML_ROOT/images/bckgrnd.jpg" vlink="#000000" link="#04289D">
<TABLE border=0 width=100%>
 <TR>
 <TD width=10% valign=top>
<a href="http://www-arc.com">
    <img src="$HTML_ROOT/images/sara.gif" ALT="ARC" BORDER="0"></A><P>
    <img src="$HTML_ROOT/images/dummy.gif">
   <A HREF="$HTML_ROOT/sara.html">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> SARA Home </strong><P>
   <A HREF="$HTML_SERVER/data/sara_data_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> Data Management</strong><P>
   <A HREF="$HTML_SERVER/running/sara_run_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <STRONG>Target selection</STRONG><p>
   <A HREF="$HTML_SERVER/reporting/analysis.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <STRONG> Data Analysis</STRONG><p>
   <A HREF="$HTML_SERVER/admin/sara_cf_form.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Configuration Mgt</strong><p>
   <A HREF="$HTML_SERVER/sara_documentation.html">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Documents/CVE</strong><p>
   <A HREF="$HTML_SERVER/docs/FAQ.html#trouble">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Troubleshooting</strong><P>

</TD><TD valign=top>
<CENTER><H1>Vulnerabilities - By Type</H1></CENTER>
<hr>
<h3>Number of hosts per vulnerability type.</h3>
EOF

&make_severity_info();

if (sizeof(*severity_type_host_info) > 0) {
    print CLIENT <<EOF;
<ul>
EOF
    for (sort sort_numeric keys %severity_type_host_info) {
	($_type = $_) =~ tr / \//+!/;

	print CLIENT <<EOF;
	<li> 
	<a href="sara_severity_hosts.pl,$_type,">
	$_ - $severity_type_count{$_} host(s)</a>
EOF
    }
    print CLIENT <<EOF;
</ul>
	<strong>Note: hosts may appear in multiple categories. </strong>
EOF
} else {
    print CLIENT <<EOF
No vulnerability information found.
EOF
}

print CLIENT <<EOF
<hr> <a href=$HTML_SERVER> Back to the SARA start page </a> |
<a href=$HTML_SERVER/reporting/analysis.pl> Back to SARA Reporting and Analysis </a>
</UL></UL></TABLE>
</BODY>
</HTML>
EOF
