#  This software was derived from SATAN 1.1.1 by Dan Farmer and Wietse Venema
#  (http://www.porcupine.org/satan).
#
#
# Report services and host counts.
#
print CLIENT <<EOF;
<HTML>
<HEAD>
<title> Host Tables - by Class of Service </title>
<LINK REV="made" HREF="mailto:satan\@fish.com">
<LINK REV="updated" HREF="mailto:sara\@arc.com">
</HEAD>
<BODY>
<BODY BACKGROUND="$HTML_ROOT/images/bckgrnd.jpg" vlink="#000000" link="#04289D">
<TABLE border=0 width=100%>
 <TR>
 <TD width=10% valign=top>
<a href="http://www-arc.com">
    <img src="$HTML_ROOT/images/sara.gif" ALT="ARC" BORDER="0"></A><P>
    <img src="$HTML_ROOT/images/dummy.gif">
   <A HREF="$HTML_ROOT/sara.html">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> SARA Home </strong><P>
   <A HREF="$HTML_SERVER/data/sara_data_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> Data Management</strong><P>
   <A HREF="$HTML_SERVER/running/sara_run_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <STRONG>Target selection</STRONG><p>
   <A HREF="$HTML_SERVER/reporting/analysis.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <STRONG> Data Analysis</STRONG><p>
   <A HREF="$HTML_SERVER/admin/sara_cf_form.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Configuration Mgt</strong><p>
   <A HREF="$HTML_SERVER/sara_documentation.html">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Documents/CVE</strong><p>
   <A HREF="$HTML_SERVER/docs/FAQ.html#trouble">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Troubleshooting</strong><P>

</TD><TD valign=top>
<CENTER><H1>Host Tables - by Class of Service </H1></CENTER>
<hr>
EOF

&make_service_info() ;

if (sizeof(*servers) > 0) {
    print CLIENT "<p> <h3> Number of server systems (vulnerable/total) </h3> <ul>\n";
    for (sort keys %servers) {
	# Mask possible blanks or slashes in service names.
	($_service = $_) =~ tr / \//+!/;
      $_dot = $server_severities{$_} ? "reddot" : "blackdot";
      $_alt = $server_severities{$_} ? "*" : "-";
	if ($server_counts{$_} > 0) {
	    print CLIENT <<EOF;
	    <dt><IMG SRC=$HTML_ROOT/dots/$_dot.gif ALT="$_alt"> 
	    <a href="sara_info_servers.pl,$_service,"> $_</a>
	    ($server_severities{$_}/$server_counts{$_}) 
EOF
#	} else {
#	    print CLIENT <<EOF;
#	    <dt><IMG SRC=$HTML_ROOT/dots/blackdot.gif ALT="-"> $_
#EOF
	}
    }
    print CLIENT "</ul>\n";
}

if (sizeof(*clients) > 0) {
    print CLIENT "<p> <h3> Number of client systems (vulnerable/total) </h3> <ul>\n";
    for (sort keys %clients) {
	# Mask possible blanks or slashes in service names.
	($_service = $_) =~ tr / \//+!/;
	$_dot = $client_severities{$_} ? "reddot" : "blackdot";
	$_alt = $client_severities{$_} ? "*" : "-";
	if ($client_counts{$_} > 0) {
	    print CLIENT <<EOF;
	    <dt><IMG SRC=$HTML_ROOT/dots/$_dot.gif ALT="$_alt"> 
	    <a href="sara_info_clients.pl,$_service,"> $_</a>
	    ($client_severities{$_}/$client_counts{$_})
EOF
#	} else {
#	    print CLIENT <<EOF;
#	    <dt><IMG SRC=$HTML_ROOT/dots/blackdot.gif ALT="-"> $_
#EOF
	}
    }
    print CLIENT "</ul>\n";
}

if (sizeof(*servers) > 0 || sizeof(*clients) > 0) {
    print CLIENT <<EOF;
	<strong>Note: hosts may appear in multiple categories. </strong>
	<HL>
	<strong>Service types with a red dot next to them have a vulnerable host contained within</strong>
EOF
} else {
    print CLIENT <<EOF;
	No service information found.
EOF
}

print CLIENT <<EOF
<hr> <a href=$HTML_SERVER> Back to the SARA start page </a> |
<a href=$HTML_SERVER/reporting/analysis.pl> Back to SARA Reporting and Analysis </a>
</UL></UL></TABLE>
</BODY>
</HTML>
EOF
