#  This software was derived from SATAN 1.1.1 by Dan Farmer and Wietse Venema
#  (http://www.porcupine.org/satan).
#
#
# Report all operating system classes.  On the fly evaluate the number of
# hosts per class, per operating system version and related statistics.
#
print CLIENT <<EOF;
<HTML>
<HEAD>
<title> Host Tables - by System Type </title>
<LINK REV="made" HREF="mailto:satan\@fish.com">
<LINK REV="updated" HREF="mailto:sara\@arc.com">
</HEAD>
<BODY>
<BODY BACKGROUND="$HTML_ROOT/images/bckgrnd.jpg" vlink="#000000" link="#04289D">
<TABLE border=0 width=100%>
 <TR>
 <TD width=10% valign=top>
<a href="http://www-arc.com">
    <img src="$HTML_ROOT/images/sara.gif" ALT="ARC" BORDER="0"></A><P>
    <img src="$HTML_ROOT/images/dummy.gif">
   <A HREF="$HTML_ROOT/sara.html">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> SARA Home </strong><P>
   <A HREF="$HTML_SERVER/data/sara_data_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> Data Management</strong><P>
   <A HREF="$HTML_SERVER/running/sara_run_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <STRONG>Target selection</STRONG><p>
   <A HREF="$HTML_SERVER/reporting/analysis.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <STRONG> Data Analysis</STRONG><p>
   <A HREF="$HTML_SERVER/admin/sara_cf_form.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Configuration Mgt</strong><p>
   <A HREF="$HTML_SERVER/sara_documentation.html">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Documents/CVE</strong><p>
   <A HREF="$HTML_SERVER/docs/FAQ.html#trouble">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Troubleshooting</strong><P>
</TD><TD valign=top>
<CENTER><H1>Host Tables - by System Type</H1></CENTER>
<hr>
<h3>Number of hosts per system type (vulnerable/total).</h3>
<ul>
EOF

&make_hosttype_info() ;

for (sort keys %systypes_by_class) {
	# Mask possible blanks in the system class names.
	($_class = $_) =~ tr / \//+!/;
	$sysclass_severities{$_class} = 0 
		unless defined($sysclass_severities{$_class});
	$_dot = $sysclass_severities{$_} ? "reddot" : "blackdot";
	$_alt = $sysclass_severities{$_} ? "*" : "-";
	print CLIENT <<EOF
	<dt><IMG SRC=$HTML_ROOT/dots/$_dot.gif ALT="$_alt"> 
	<a href="sara_info_OSclass.pl,$_class,"> $_</a>
	($sysclass_severities{$_}/$sysclass_counts{$_})
EOF
	unless /other/;
}
if (sizeof(*hosttype) > 0) {
	$_class = "other";
	$sysclass_severities{$_class} = 0 
		unless defined($sysclass_severities{$_class});
	$_dot = $sysclass_severities{$_class} ? "reddot" : "blackdot";
	$_alt = $sysclass_severities{$_class} ? "*" : "-";
	print CLIENT <<EOF;
	<dt><IMG SRC=$HTML_ROOT/dots/$_dot.gif ALT="$_alt">
	<a href="sara_info_OSclass.pl,other,"> Other/unknown</a>
	($sysclass_severities{$_class}/$sysclass_counts{$_class})
	</ul>
	<HL><strong>System types with a red dot next to them have a vulnerable host contained within.</strong>
EOF
} else {
	print CLIENT <<EOF;
	</ul>
	No system type information available.
EOF
}

print CLIENT <<EOF;
<hr> <a href=$HTML_SERVER> Back to the SARA start page </a> |
<a href=$HTML_SERVER/reporting/analysis.pl> Back to SARA Reporting and Analysis </a>
</UL></UL></TABLE>
</BODY>
</HTML>
EOF
