#  This software was derived from SATAN 1.1.1 by Dan Farmer and Wietse Venema
#  (http://www.porcupine.org/satan).
#
#
# Show all hosts with a specific vulnerability.
#
($_SEVERITY, $_sort_order) = split(/,/, $html_script_args);
($_severity = $_SEVERITY) =~ tr /+!/ \//;
($_tutorial = $_severity) =~ tr / /_/;

print CLIENT <<EOF;
<HTML>
<HEAD>
<title> Host Table - $_severity </title>
<LINK REV="made" HREF="mailto:satan\@fish.com">
<LINK REB="made" HREF="mailto:sara\@arc.com">
</HEAD>
<BODY>
<BODY BACKGROUND="$HTML_ROOT/images/bckgrnd.jpg" vlink="#000000" link="#04289D">
<TABLE border=0 width=100%>
 <TR>
 <TD width=10% valign=top>
<a href="http://www-arc.com">
    <img src="$HTML_ROOT/images/sara.gif" ALT="ARC" BORDER="0"></A><P>
    <img src="$HTML_ROOT/images/dummy.gif">
   <A HREF="$HTML_ROOT/sara.html">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> SARA Home </strong><P>
   <A HREF="$HTML_SERVER/data/sara_data_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <strong> Data Management</strong><P>
   <A HREF="$HTML_SERVER/running/sara_run_form.pl">
      <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
      <STRONG>Target selection</STRONG><p>
   <A HREF="$HTML_SERVER/reporting/analysis.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <STRONG> Data Analysis</STRONG><p>
   <A HREF="$HTML_SERVER/admin/sara_cf_form.pl">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Configuration Mgt</strong><p>
   <A HREF="$HTML_SERVER/sara_documentation.html">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Documents/CVE</strong><p>
   <A HREF="$HTML_SERVER/docs/FAQ.html#trouble">
     <IMG border=0 align=top SRC="$HTML_ROOT/images/bluedot.gif"></A>
     <strong>Troubleshooting</strong><P>

</TD><TD valign=top>
<CENTER><H1>Host Table - $_severity </H1></CENTER>
<hr>

<h2> 
Tutorial: 
<a href="$HTML_ROOT/tutorials/vulnerability/$_tutorial.html">$_severity</a>.
</h2>

<h3> 
$severity_type_count{$_severity} Host(s). 
Number of vulnerabilities in parentheses. 
</h3>

<H4> Sort hosts by:
<a href="sara_severity_hosts.pl,$_SEVERITY,name,">name</a> |
<a href="sara_severity_hosts.pl,$_SEVERITY,domain,">domain</a> |
<a href="sara_severity_hosts.pl,$_SEVERITY,type,">system type</a> |
<a href="sara_severity_hosts.pl,$_SEVERITY,subnet,">subnet</a> |
<a href="sara_severity_hosts.pl,$_SEVERITY,severity,">problem count</a> 
</H4>
EOF

@_hosts = keys %{$severity_type_host_info{$_severity}};
do "$html_root/reporting/sort_hosts.pl";
print CLIENT $@ if $@;

print CLIENT <<EOF;
<hr> <a href=$HTML_SERVER> Back to the SARA start page </a> |
<a href=$HTML_SERVER/reporting/analysis.pl> Back to SARA Reporting and Analysis </a>
</UL></UL></TABLE>
</BODY>
</HTML>
EOF
